com.opensymphony.xwork2.interceptor.annotations

## Class AnnotationParameterFilterInterceptor

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.AbstractInterceptor
  - - com.opensymphony.xwork2.interceptor.annotations.AnnotationParameterFilterInterceptor

- All Implemented Interfaces:
    ConditionalInterceptor, Interceptor, Serializable

      public class AnnotationParameterFilterInterceptor
      extends AbstractInterceptor

  Annotation based version of `ParameterFilterInterceptor`.

  This `Interceptor` must be placed in the stack before the `ParametersInterceptor` When a parameter matches a field that is marked `Blocked` then it is removed from the parameter map.

  If an `Action` class is marked with `BlockByDefault` then all parameters are removed unless a field on the Action exists and is marked with `Allowed`

  Author:
    martin.gilday
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationParameterFilterInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `intercept(ActionInvocation invocation)` Override to handle interception

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `destroy, init, setDisabled, shouldIntercept`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationParameterFilterInterceptor

          public AnnotationParameterFilterInterceptor()

  - ### Method Detail

    - #### intercept

          public String intercept(ActionInvocation invocation)
                           throws Exception

      Description copied from class: `AbstractInterceptor`
      Override to handle interception
      Specified by:
        `intercept` in interface `Interceptor`
      Specified by:
        `intercept` in class `AbstractInterceptor`
      Parameters:
        `invocation` - the action invocation
      Returns:
        the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
      Throws:
        `Exception` - any system-level error, as defined in `Action.execute()`.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.